Subscribe to multiple newsletter or push channels
const url = 'https://api.example.com/cms/channel/subscribe';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>', 'Content-Type': 'application/json' }, body: '{"channel_ids":[1],"email":"example","sendActivation":true,"last_login_country":"example","source":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/channel/subscribe \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Token: <Token>' \ --data '{ "channel_ids": [ 1 ], "email": "example", "sendActivation": true, "last_login_country": "example", "source": { "additionalProperty": "example" } }'Subscribe an email to one or more newsletter or push channels. If the user is logged in (Token is sent), the email parameter is ignored, and no activation email is sent. For push channels, the push subscription details must be provided.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
Email address to subscribe. If the user is logged in, this parameter is ignored.
Set to true to send activation email. Otherwise, the user is activated immediately. If the user is logged in, this parameter is ignored.
Optional arbitrary key-value metadata about the subscription source (e.g. {“page”: “homepage”, “campaign”: “summer2026”}). Stored as JSON on the newsletter record.
object
object
Push subscription URL or token
Client application version
Client operating system
Client operating system version
User agent string
Device identifier that you can uniquely generate or use from the user devices
Example generated
{ "channel_ids": [ 1 ], "email": "example", "sendActivation": true, "last_login_country": "example", "source": { "additionalProperty": "example" }}Responses
Section titled “Responses”Subscription result
object
Example generated
{ "error": true}